DROP STATISTICS(7)

NAME
DROP_STATISTICS - remove extended statistics

SYNOPSIS

DROP STATISTICS [ IF EXISTS ] name [, ...]

DESCRIPTION

DROP STATISTICS removes statistics object(s) from the database. Only the statistics object's owner, the schema owner, or a superuser can drop a statistics object.

PARAMETERS

IF EXISTS
    Do not throw an error if the statistics object does not exist. A notice is issued in this case.

name
    The name (optionally schema-qualified) of the statistics object to drop.

EXAMPLES

To destroy two statistics objects in different schemas, without failing if they don't exist:

    DROP STATISTICS IF EXISTS
        accounting.users_uid_creation,
        public.grants_user_role;

COMPATIBILITY

There is no DROP STATISTICS command in the SQL standard.

SEE ALSO
ALTER STATISTICS (ALTER_STATISTICS(7)), CREATE STATISTICS (CREATE_STATISTICS(7))